import { __exports as e } from "./index-LexicalDecoratorBlockNode.dev2.js";
import { __require as l } from "./index-Lexical.js";
var c;
function d() {
  if (c) return e;
  c = 1;
  var i = l();
  class t extends i.DecoratorNode {
    constructor(r, o) {
      super(o), this.__format = r || "";
    }
    exportJSON() {
      return {
        format: this.__format || "",
        type: "decorator-block",
        version: 1
      };
    }
    createDOM() {
      return document.createElement("div");
    }
    updateDOM() {
      return !1;
    }
    setFormat(r) {
      const o = this.getWritable();
      o.__format = r;
    }
    isInline() {
      return !1;
    }
  }
  function s(a) {
    return a instanceof t;
  }
  return e.$isDecoratorBlockNode = s, e.DecoratorBlockNode = t, e;
}
export {
  d as __require
};
